View Issue Details

IDProjectCategoryView StatusLast Update
0032323Open CASCADEOCCT:Configurationpublic2021-11-10 14:35
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032323: Configuration - drop unused dependency from Xmu
DescriptionXmu library is not used by OCCT and can be removed from dependencies.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0032308 closedbugmaster Configuration - make Xlib dependency optional 
parent of 0032475 closedbugmaster Configuration, qmake - drop "-z defs" linker flag on macOS 
parent of 0032655 verifiedinv Configuration, qmake - add missing CSF_Draco 

Activities

git

2021-04-23 13:01

administrator   ~0100527

Branch CR32323 has been created by kgv.

SHA-1: a59f2c015d13adac625455019d89094873c37b56


Detailed log of new commits:

Author: kgv
Date: Fri Apr 23 13:02:08 2021 +0300

    0032323: Configuration - drop unused dependency from Xmu
    
    Removed unused header Aspect_XWD.hxx.
    Removed redundant includes of unused X11 extension headers.
    Added missing dependency on pthread to TKDraw.
    
    Added "-z defs" linker flag to qmake projects to detect missing library dependencies.
    Removed unused CSF_MotifLibs.

Author: kgv
Date: Thu Apr 22 20:57:38 2021 +0300

    0032320: Documentation - mention rapidjson-dev and qtcreator within Debian packages

kgv

2021-04-23 14:51

developer   ~0100529

Patch is ready for review
- OCCT: branch CR32323.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32323-master-KGV/

git

2021-04-23 14:56

administrator   ~0100530

Branch CR32323 has been updated forcibly by kgv.

SHA-1: 40292e97eaec10c546665af344cb4e0239c6e55e

osa

2021-04-27 12:59

developer   ~0100613

The patch was reviewed

bugmaster

2021-05-01 12:27

administrator   ~0100716

Combination -
OCCT branch : master
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17839.600000000362 / 17844.450000000477 [-0.03%]
Products
Total CPU difference: 11562.480000000109 / 11558.800000000136 [+0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19303.28125 / 19431.828125 [-0.66%]
Products
Total CPU difference: 12894.515625 / 12871.203125 [+0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-05-01 13:32

administrator   ~0100743

Branch CR32323 has been deleted by inv.

SHA-1: 40292e97eaec10c546665af344cb4e0239c6e55e

Related Changesets

occt: master 342bb7fd

2021-04-23 10:02:08

kgv


Committer: bugmaster Details Diff
0032323: Configuration - drop unused dependency from Xmu

Removed unused header Aspect_XWD.hxx.
Removed redundant includes of unused X11 extension headers.
Added missing dependency on pthread to TKDraw.

Added "-z defs" linker flag to qmake projects to detect missing library dependencies.
Removed unused CSF_MotifLibs.
Affected Issues
0032323
mod - adm/cmake/occt_csf.cmake Diff File
mod - adm/cmake/occt_toolkit.cmake Diff File
mod - adm/genproj.tcl Diff File
mod - adm/qmake/OccCppConfig.pri Diff File
mod - adm/qmake/OccToolkit.pri Diff File
mod - dox/build/build_3rdparty/building_3rdparty.md Diff File
mod - src/Aspect/Aspect_DisplayConnection.cxx Diff File
rm - src/Aspect/Aspect_XWD.hxx Diff File
mod - src/Aspect/FILES Diff File
mod - src/TKDraw/EXTERNLIB Diff File
mod - src/Xw/Xw_Window.cxx Diff File

Issue History

Date Modified Username Field Change
2021-04-23 10:47 kgv New Issue
2021-04-23 10:47 kgv Assigned To => kgv
2021-04-23 13:01 git Note Added: 0100527
2021-04-23 13:35 kgv Relationship added related to 0032308
2021-04-23 14:51 kgv Note Added: 0100529
2021-04-23 14:51 kgv Assigned To kgv => osa
2021-04-23 14:51 kgv Status new => resolved
2021-04-23 14:56 git Note Added: 0100530
2021-04-27 12:59 osa Note Added: 0100613
2021-04-27 12:59 osa Assigned To osa => bugmaster
2021-04-27 12:59 osa Status resolved => reviewed
2021-05-01 12:27 bugmaster Note Added: 0100716
2021-05-01 12:27 bugmaster Status reviewed => tested
2021-05-01 12:34 bugmaster Test case number => Not required
2021-05-01 12:44 bugmaster Changeset attached => occt master 342bb7fd
2021-05-01 12:44 bugmaster Status tested => verified
2021-05-01 12:44 bugmaster Resolution open => fixed
2021-05-01 13:32 git Note Added: 0100743
2021-07-08 14:00 kgv Relationship added parent of 0032475
2021-11-10 14:35 kgv Relationship added parent of 0032655